# ----------------------------------------------
# - Page: Password/Security Setting
# ----------------------------------------------

module SfdcSe
  class Driver
  	
  	# -----------------------------
  	# reset_PasswordSecurityQuestion
  	def reset_PasswordSecurityQuestion(sCurentPassword, sNewPassword, sAnswer)
  		blnEdit=false

  		if @driver.find_elements(:id => 'currentpassword').size > 0
	  		set_CurrentPasswordField(sCurentPassword)
	  		set_NewPasswordField(sNewPassword)
	  		set_ConfirmPasswordField(sNewPassword)
	  		set_AnswerField(sAnswer)
	  		click_Btn_ChangePassword
	  		blnEdit=true
	  	end
	  	return blnEdit
  	end
  	# -----------------------------

  	# -----------------------------
  	# set_CurrentPasswordField(sPWD)
  	def set_CurrentPasswordField(sPWD)
  		@driver.find_element(:id => 'currentpassword').send_keys(sPWD)
  	end
  	# -----------------------------

  	# -----------------------------
  	# set_NewPasswordField(sPWD)
  	def set_NewPasswordField(sPWD)
  		@driver.find_element(:id => 'newpassword').send_keys(sPWD)
  	end
  	# -----------------------------

  	# -----------------------------
  	# set_ConfirmPasswordField(sPWD)
  	def set_ConfirmPasswordField(sPWD)
  		@driver.find_element(:id => 'confirmpassword').send_keys(sPWD)
  	end
  	# -----------------------------

  	# -----------------------------
  	# set_AnswerField(sAnswer)
  	def set_AnswerField(sAnswer)
  		@driver.find_element(:id => 'answer').send_keys(sAnswer)
  	end
  	# -----------------------------

  	# -----------------------------
  	# click_Btn_ChangePassword
  	def click_Btn_ChangePassword
  		@driver.find_element(:id => 'password-button').click
  	end
  	# -----------------------------

  end
end