# ------------------------
# - Page: Deliverability
# -- Body of the page
# ------------------------

module SfdcSe
  class Driver
  	# -----------------------------
    # click_Btn_DeliverabilitySave
    # => Clicks the 'save' button and waits for the Success text message to be displayed
    #
    def click_Btn_Deliverability_Save
      # -- Clicks the 'Save' button
      @driver.find_element(:id => "thePage:theForm:editBlock:buttons:saveBtn").click
      # -- Waits for the confirmation that the save was successful
      wait.until{@driver.find_element(:id => "thePage:theForm:successText").displayed?}
    end
    
    # -----------------------------
    # get_elements_AccessLevel
    # => returns all the elements for the Access Level dropdown
  	def get_elements_Devliverability_AccessLevel
      return @driver.find_elements(:xpath => "//td[@class='data2Col  first  last ']/select/option")
    end
    
    # -----------------------------
    # get_CurrentSelection_AccessLevel
    # => returns the currently selected value
    #
    def get_CurrentSelection_Devliverability_AccessLevel
      # -- Deliverability > Access  to Send Email > Access Level
      options=get_elements_Devliverability_AccessLevel
      options.each do |option|
        if option.selected?
          return option.text
        end
      end
    end

    # -----------------------------
    # set_selection_AccessLevel
    # => value = string of the value to select in the dropdown
    # => returns the selected value
    #
    def set_selection_Devliverability_AccessLevel(value)
      options=get_elements_Devliverability_AccessLevel
      options.each do |option_s|
        if option_s.text == value
          option_s.click
          return option_s.text
        end
      end
    end

  end
end